<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Form</title>
    <link rel="stylesheet" type="text/css" href="./style.css" />
  </head>
  <body>
    <form>
      <fieldset class="form__GeneralInfo">
        <legend>General Info</legend>
        <label for="Email">Email:</label>
        <input type="email" id="Email" name="Email" required />
        <label for="Password">Password:</label>
        <input
          type="password"
          id="Password"
          name="Password"
          required
          minlength="6"
        />
        <label for="Gender">Gender:</label>

        <select name="Gender" id="Gender">
          <option value="">--Please choose an option--</option>
          <option value="Male">Male</option>
          <option value="Women">Women</option>
          <option value="Other">Other</option>
        </select>
      </fieldset>

      <fieldset>
        <legend>Role</legend>
        <input name="Role" type="radio" id="Admin" required value="Admin" />
        <label for="Admin">Admin</label>
        <input name="Role" type="radio" id="User" required value="User" />
        <label for="User">User</label>
      </fieldset>
      <fieldset>
        <legend>Permission</legend>
        <input name="Perm1" type="checkbox" id="Perm1" value="Perm1" />
        <label for="Perm1">Perm1</label>
        <input name="Perm2" type="checkbox" id="Perm2" value="Perm2" />
        <label for="Perm2">Perm2</label>
        <input name="Perm3" type="checkbox" id="Perm3" value="Perm3" />
        <label for="Perm3">Perm3</label>
        <input name="Perm4" type="checkbox" id="Perm4" value="Perm4" />
        <label for="Perm4">Perm4</label>
      </fieldset>
      <button type="submit" id="FormSubmit">Submit</button>
    </form>
    <div class="form__card" id="card">
      <div id="Card_Email">Email:Vinayaksaubhri@gmail.com</div>
      <div id="Card_Password">Password:Password123</div>
      <div id="Card_Gender">Gender:Male</div>
      <div id="Card_Role">Role:Admin</div>
      <div id="Card_Permission">Permission:Perm1, Prem2</div>
      <button id="Card_button">Confirm</button>
    </div>
  </body>
  <script type="text/javascript" src="./script.js"></script>
</html>
